#include "displayMgrSDI.h"

#include <tqwidget.h>

DisplayMgrSDI::DisplayMgrSDI()
{
}

DisplayMgrSDI::~DisplayMgrSDI(){
}

void DisplayMgrSDI::newTopLevel(TQWidget *w, bool show){
  if(show)
    w->show();
}

void DisplayMgrSDI::removeTopLevel(TQWidget *){
}

void DisplayMgrSDI::show(TQWidget *w){
  w->show();
}

void DisplayMgrSDI::hide(TQWidget *w){
  w->hide();
}

void DisplayMgrSDI::raise(TQWidget *w, bool takefocus){
  w->show();
  w->raise();
  if(takefocus)
      w->setActiveWindow();

}


void DisplayMgrSDI::setCaption(TQWidget *w, const TQString& cap){
  w->setCaption(cap);
}

